Foxit PDF SDK

Instance Methods | Properties | List of all members
FSColor Class Reference
Inheritance diagram for FSColor:

## Instance Methods
(FSColor *) | - convertToCMYK:
| Convert to a CMYK color. More...
(FSColor *) | - convertToRGB:
| Convert to a RGB color. More...
(FSColorSpace *) | - getColorSpace
| Get the color space that current color belongs to. More...
(id) | - init
| Construct an empty color.
(id) | - initWithColor_space:
| Constructor, with a color space object. More...
(id) | - initWithOther:
| Constructor, with another color object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Properties
FSFloatArray * | value
| Get or Set component value array. More...

## Detailed Description

This class represents a color.

## Method Documentation

## ◆ convertToCMYK:()

- (FSColor *) convertToCMYK: |  | (FSColorSpaceRenderingIntent) | intent |

Convert to a CMYK color.

Parameters

  [in] | intent | (Reserved) Rendering intent used for color conversion.

Returns
  Converted color. If the return value of function FSColor::isEmpty for the returned color is YES, that means the conversion failed.

## ◆ convertToRGB:()

- (FSColor *) convertToRGB: |  | (FSColorSpaceRenderingIntent) | intent |

Convert to a RGB color.

Parameters

  [in] | intent | (Reserved) Rendering intent used for color conversion.

Returns
  Converted color. If the return value of function FSColor::isEmpty for the returned color is YES, that means the conversion failed.

## ◆ getColorSpace()

- (FSColorSpace *) getColorSpace |  |  |

Get the color space that current color belongs to.

Returns
  Color space object.

## ◆ initWithColor_space:()

- (id) initWithColor_space: |  | (FSColorSpace*) | color_space |

Constructor, with a color space object.

Parameters

  [in] | color_space | A valid color space object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSColor*) | other |

Constructor, with another color object.

Parameters

  [in] | other | Another FSColor object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## Property Documentation

## ◆ value

- (FSFloatArray *) value
| read write nonatomic weak

Get or Set component value array.

The count of components depends on the color space that current color belongs to. User can get the color space object by function FSColor::getColorSpace, and then get the count of componets by function FSColorSpace::getComponentCount.